# -*- coding: utf-8 -*-
"""
Created on Thu May 26 13:44:44 2011

@author: -
"""

import kinectcalibration as kc
import numpy as np
from matplotlib import pylab as pl


#Load color and depth image
color = np.load(r'scene03_color.npy')
depth = np.load(r'scene03_depth.npy')

#register color to depth image with filtering of unresolved pixels
color_reg_filtered = kc.getRegisteredColorImage(color, depth)

#register color to depth image without filtering of unresolved pixels
color_reg_unfiltered = kc.getRegisteredColorImage(color, depth, filter_invalid = False)

#Show all images
pl.figure()
pl.imshow(color)

pl.figure()
pl.hsv()
pl.imshow(depth)
pl.colorbar()


pl.figure()
pl.imshow(color_reg_filtered)

pl.figure()
pl.imshow(color_reg_unfiltered)